<template>
    <transition name="fade">
        <div class="overlay" @click="hide" v-if="is_shown"></div>
    </transition>
</template>

<script>
export default {
    computed: {
        is_shown() {
            return this.$store.state.overlay.is_shown;
        }
    },

    methods: {
        show() {
            this.$store.commit('overlay/show');
        },

        hide() {
            this.$store.commit('overlay/hide');
            this.$root.$refs['problems-panel'].hide();
            this.$store.commit('parts/unset');
        }
    },

    created() {
        this.$root.$refs['overlay'] = this;
    }
}
</script>

<style lang="scss">
.fade-enter-active, .fade-leave-active {
    transition: opacity .5s;
}
.fade-enter, .fade-leave-to {
    opacity: 0;
}

.overlay {
    position: fixed;
    background-color: rgba(0,0,0,.3);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1001;
}
</style>